//
//  DUDynDNSInterface.m
//  DNSUpdate2
//
//  Created by Julien Jalon on Mon Feb 11 2002.
//  Copyright (c) 2002 Julien Jalon. All rights reserved.
//

#import "DUOVHDynHostInterface.h"


@implementation DUOVHDynHostInterface

- (NSString *)getServiceName {
    return @"OVH.com";
}

- (void)validateUser:(DUUser *)theUser {
    // Must be implemented by subclass
}

- (void)validateHost:(DUHost *)theHost {
    [theHost setHostProperty:@"dyndns" forKey:@"system" internalProperty:NO];  
}

- (void)prepareHostViewForHost:(DUHost *)theHost {
}

- (void)prepareUserViewForUser:(DUUser *)DUUser {
    // Must be implemented by subclass
}

- (void)clearHostView {
}

- (void)clearUserView {
    // Must be implemented by subclass
}

- (IBAction)goToDynDNS:(id)sender {
    [[NSWorkspace sharedWorkspace] openURL:[NSURL URLWithString:@"http://www.ovh.com/"]];
}

@end
